package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateClassifyVo;
/**
* 证照分类实体对象
*
* @author zxfei
* @date 2022-11-04
*/

public class CertificateClassifyEntity extends CertificateClassifyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 分类名称
    */
    private String classifyName;
    /**
    * 排序号
    */
    private Integer sort;
    /**
    * 打印次数
    */
    private Integer total;
    /**
    * 是否首页展示0：否1是
    */
    private Integer showFront;
    /**
    * 证照类型，1：普通，2：正副本
    */
    private Integer classifyType;



    public CertificateClassifyEntity(){}
    /**
    * 获取 分类名称
    * @return String
    */
    public String getClassifyName(){
        return classifyName;
    }
    /**
    * 设置 分类名称
    * @param classifyName
    */
    public void setClassifyName(String classifyName){
        this.classifyName = classifyName;
    }
    /**
    * 获取 排序号
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序号
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
    * 获取 打印次数
    * @return Integer
    */
    public Integer getTotal(){
        return total;
    }
    /**
    * 设置 打印次数
    * @param total
    */
    public void setTotal(Integer total){
        this.total = total;
    }
    /**
    * 获取 是否首页展示0：否1是
    * @return Integer
    */
    public Integer getShowFront(){
        return showFront;
    }
    /**
    * 设置 是否首页展示0：否1是
    * @param showFront
    */
    public void setShowFront(Integer showFront){
        this.showFront = showFront;
    }
    /**
    * 获取 证照类型，1：普通，2：正副本
    * @return Integer
    */
    public Integer getClassifyType(){
        return classifyType;
    }
    /**
    * 设置 证照类型，1：普通，2：正副本
    * @param classifyType
    */
    public void setClassifyType(Integer classifyType){
        this.classifyType = classifyType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateClassifyEntity) {
            CertificateClassifyEntity tmp = (CertificateClassifyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",classifyName:").append(getClassifyName());
        sb.append(",sort:").append(getSort());
        sb.append(",total:").append(getTotal());
        sb.append(",showFront:").append(getShowFront());
        sb.append(",classifyType:").append(getClassifyType());
        return sb.toString();
    }

    public void initAttrValue(){

            this.classifyName = "";

            this.sort = 0;

            this.total = 0;

            this.showFront = 0;

            this.classifyType = 1;
    }
}