package com.mortals.xhx.module.record.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.PrintStatus;
import com.mortals.xhx.common.code.StatusEnum;
import com.mortals.xhx.module.record.model.ApplyLogEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.record.model.PrintLogEntity;
import com.mortals.xhx.module.record.service.PrintLogService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 证照打印记录
*
* @author zxfei
* @date 2022-10-14
*/
@RestController
@RequestMapping("print/log")
public class PrintLogController extends BaseCRUDJsonBodyMappingController<PrintLogService,PrintLogEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PrintLogController(){
        super.setModuleDesc( "证照打印记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model,"status", IBaseEnum.getEnumMap(StatusEnum.class));
        this.addDict(model,"printStatus", IBaseEnum.getEnumMap(PrintStatus.class));
        super.init(model, context);
    }

}